Radeon drivers support for Beryl

Asked by j on 2007-05-23

I'm a beginner with Ubunty, but I am having problems finding information about a driver for my Radeon 1900 series card. It doesn't look like there is a driver for it at the moment, but can one be expected in the near future. I am wanting to install Beryl, but the guides I have found list my card as unsupported.

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu linux-restricted-modules-2.6.20 Edit question
Assignee:
No assignee Edit question
Last query:
2007-05-24
Last reply:
2007-05-24
Markus Thielmann (thielmann) said : #1

Thanks for your question.

If "Radeon 1900" means "Radeon x1900" here's good news: Your card is supported. See also http://www.mepis.org/docs/en/index.php/ATI_supported_cards.

On https://help.ubuntu.com/community/BinaryDriverHowto you'll find more help.

j (bob-the-necromancer) said : #2

Thanks for the response. I followed the instructions and the driver does work, however it does not support Beryl. Is there any ETA on when Beryl may be supported by a driver that my card can use?

Markus Thielmann (thielmann) said : #3

Beryl doesn't matter in this case. Your card is not supported by AIGLX (which is build in ubuntus xorg server). In order to use composite extensions, you need to install the XGL server "below" beryl.

You do so by following this guide: http://ubuntuguide.org/wiki/Ubuntu:Feisty#Eye_Candy
(You might want to check http://ubuntuforums.org/showpost.php?p=2581839&postcount=14, too)

I don't have any information on a roadmap for AIGLX supporting your card.

Can you help with this problem?

Provide an answer of your own, or ask j for more information if necessary.

To post a message you must log in.